%global fontname pothana2000
%global fontconf 69-%{fontname}.conf

Summary:       Unicode compliant OpenType font for Telugu
Name:          %{fontname}-fonts
Version:       1.3.3
Release:       6%{?dist}
License:       GPLv2+ with exceptions
URL:           https://pagure.io/pothana_vemana
# https://pagure.io/pothana_vemana/tree/b1a5b0b018e7d5583026299a1d8c07fdbcab5718
Source0:       %{name}-%{version}.tar.gz
Source1:       %{fontname}.metainfo.xml

BuildRequires: make
BuildRequires: fontforge fontpackages-devel
Requires:      fontpackages-filesystem config(pothana2000-fonts) = %{version}-%{release}
Provides:      config(pothana2000-fonts) = %{version}-%{release}

BuildArch: noarch

%description
A Free OpenType font for Telugu created by
Dr. Tirumala Krishna Desikacharyulu. 

%prep
%autosetup -n pothana_vemana
mv %{name}/* ./

%build
%make_build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir}  %{buildroot}%{_fontconfig_confdir}
install -m 0644 -p %{fontconf}  %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf}  %{buildroot}%{_fontconfig_confdir}/%{fontconf}
install -Dm 0644 -p %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%files
%license COPYRIGHT COPYING
%doc ChangeLog AUTHORS README
%{_datadir}/appdata/%{fontname}.metainfo.xml
%dir %{_fontdir}
%{_fontdir}/Pothana2000.ttf
%{_fontconfig_confdir}/%{fontconf}
%{_fontconfig_templatedir}/%{fontconf}


%changelog
* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 1.3.3-6
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri May 05 2023 Miaojun Dong <zoedong@tencent.com> - 1.3.3-4
- remove the retired homepage

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 09 2023 Miaojun Dong <zoedong@tencent.com> - 1.3.3-1
- initial build
